Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.ui
Interface IPluginModelTab

    com.change_vision.jude.api.inf.ui.IPluginModelTab

All Known Implementing Classes:
  IPluginModelTab.Stub

    public IPluginModelTab

Delegated interface to add the property tab to show selecting model by Plug-in.

Nested Class Summary
`class` | `IPluginModelTab.Stub` The stub implementation of IPluginModelTab

Method Summary
`abstract Object` | `getModel()` Get the model which is shown in this view.
`abstract List<?>` | `getModelParameters()` Provide in the future(internal use only)
`abstract String` | `getTabName()` Implement to show the name of the tab.
`abstract void` | `initPanel()` This method is called when the tab is initialized by the application.
`abstract void` | `setModel(Object model)` This method is called when model is selected.
`abstract void` | `update()` This method is called when the model is modified.

Method Detail

### setModel

    abstract void setModel(Object model)

  This method is called when model is selected.

  Parameters:
    `model` - Selected model

### getModel

    abstract Object getModel()

  Get the model which is shown in this view.

  Returns:
    model Selected model

### getModelParameters

    abstract List<?> getModelParameters()

  Provide in the future(internal use only)

### getTabName

    abstract String getTabName()

  Implement to show the name of the tab.

  Returns:
    tabName the name of the tab

### initPanel

    abstract void initPanel()

  This method is called when the tab is initialized by the application.

### update

    abstract void update()

  This method is called when the model is modified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD